commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gilles <gil...@harfang.homelinux.org>
Subject Re: [VOTE][RC2] Release Commons Math 3.6
Date Tue, 05 Jan 2016 18:58:45 GMT
On Tue, 5 Jan 2016 17:48:59 +0100, Luc Maisonobe wrote:
> Le 05/01/2016 17:42, Gary Gregory a écrit :
>> On Tue, Jan 5, 2016 at 7:51 AM, Gilles 
>> <gilles@harfang.homelinux.org> wrote:
>>
>>> Hi Luc.
>>>
>>> On Tue, 5 Jan 2016 09:44:09 +0100, Luc Maisonobe wrote:
>>>
>>>> Hi all,
>>>>
>>>> Please remind this vote will close in less than 12 hours.
>>>> Only 2 votes have been cast by now, we need at least 3
>>>> from PMC members for this to succeed.
>>>>
>>>
>>> [After cloning to a clean directory and "git checkout 
>>> MATH_3_6_RC2".]
>>> The command
>>>
>>> $ mvn site
>>>
>>> failed on my machine.
>>> Here is the end of the maven output:
>>> ---CUT---
>>> [...]
>>> [INFO] Generating "Clirr" report                ---
>>> clirr-maven-plugin:2.6.1:clirr
>>> [INFO] Comparing to version: 3.5
>>> [INFO]
>>> 
>>> ------------------------------------------------------------------------
>>> [INFO] BUILD FAILURE
>>> [INFO]
>>> 
>>> ------------------------------------------------------------------------
>>> [INFO] Total time: 01:31 min
>>> [INFO] Finished at: 2016-01-05T16:35:25+01:00
>>> [INFO] Final Memory: 84M/812M
>>> [INFO]
>>> 
>>> ------------------------------------------------------------------------
>>> [ERROR] Failed to execute goal
>>> org.apache.maven.plugins:maven-site-plugin:3.4:site (default-site) 
>>> on
>>> project commons-math3: Execution default-site of goal
>>> org.apache.maven.plugins:maven-site-plugin:3.4:site failed: Invalid 
>>> byte
>>> tag in constant pool: 18 -> [Help 1]
>>>
>>
>> That's an issue I've seen with Java 8, should be OK with Java 7.
>
> Yes, I confirm this happens when maven is run with Java8.

So it is not possible to do "mvn site" with the currently supported 
version
of Java...

At some point, it will be useful to list what is necessary and 
sufficient
to be done and to be checked in order to release.

> If you have multiple Java versions on your machine,

I don't, at this moment.

Best regards,
Gilles


> you can do something
> along these lines :
>
>  LANG=C JAVA_HOME=/usr/lib/jvm/java-1.7.0-openjdk-amd64/jre mvn site
>
> This sets up the language environment to a neutral choice and lets
> maven rely on Java 7 (in this case) to avoid Java 8.
>
> best regards,
> Luc
>
>
>
>>
>> Gary
>>
>>
>>> [ERROR]
>>> [ERROR] To see the full stack trace of the errors, re-run Maven 
>>> with the
>>> -e switch.
>>> [ERROR] Re-run Maven using the -X switch to enable full debug 
>>> logging.
>>> [ERROR]
>>> [ERROR] For more information about the errors and possible 
>>> solutions,
>>> please read the following articles:
>>> [ERROR] [Help 1]
>>> 
>>> http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException
>>> ---CUT---
>>>
>>> $ mvn -v
>>> Apache Maven 3.3.9
>>> Maven home: /usr/share/maven
>>> Java version: 1.8.0_72-internal, vendor: Oracle Corporation
>>> Java home: /usr/lib/jvm/java-8-openjdk-amd64/jre
>>> Default locale: en, platform encoding: UTF-8
>>> OS name: "linux", version: "4.2.0-1-amd64", arch: "amd64", family: 
>>> "unix"
>>>
>>>
>>> Regards,
>>> Gilles
>>>
>>> best regards,
>>>> Luc
>>>>
>>>> [...]


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message